﻿using System;
using System.Collections.Generic;
using System.Windows;
using Steema.TeeChart.WPF.Styles;
using System.ComponentModel;

namespace SteemaZoomIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<Tuple<double[], double[]>> list = new List<Tuple<double[], double[]>>();

            list.Add(new Tuple<double[], double[]>(new double[] { 5.2, 8.6, 9.5 }, new double[] { 5.6, 2.7, 1.5 }));
            list.Add(new Tuple<double[], double[]>(new double[] { 15.2, 18.6, 19.5 }, new double[] { 15.6, 12.7, 11.5 }));

            LoadSeries(list);

            area.MouseDoubleClick += new System.Windows.Input.MouseButtonEventHandler(area_MouseDoubleClick);
        }
        private Window _window;
        void area_MouseDoubleClick(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            if (_window == null)
            {
                _window = new Window();
                _window.Width = 500;
                _window.Height = 300;
                _window.Show();
                _window.Closing += new CancelEventHandler(window_Closing);
            }
        }
        private void window_Closing(object sender, CancelEventArgs e)
        {
            if (_window != null)
            {
                _window.Closing -= new CancelEventHandler(window_Closing);
                _window = null;
            }
        }

        private void LoadSeries(List<Tuple<double[],double[]>> seriesList)
        {
            foreach (Tuple<double[], double[]> series in seriesList)
            {
                Line line = new Line(area.Chart);
                line.Add(series.Item1, series.Item2);
            }
        }
    }
}
